QT5 build list

From Wiki [en] OpenMandriva
Revision as of 17:24, 29 March 2016 by Fedya (Talk | contribs)

Jump to: navigation, search

QT5 packages list and build order

qt5-qtbase
qt5-qtsvg
qt5-qtenginio
qt5-qtwayland
qt5-qtsensors
qt5-qtquick1
qt5-qtscript
qt5-qtdeclarative
qt5-qtquickcontrols
qt5-qtquickcontrols2
qt5-qtgraphicaleffects
qt5-qttranslations
qt5-qtimageformats
qt5-qtconnectivity
qt5-qtxmlpatterns
qt5-style-plugins
qt5-qtserialport
qt5-qtwebsockets
qt5-qtmultimedia
qt5-qtwebchannel
qt5-qtx11extras
qt5-qtwebengine
qt5-qtlocation
qt5-qtwebkit
qt5-qttools
qt5-qtdoc
qt5-qt3d

Issues

qt5-qtwebengine

gyp: name 'target_arch' is not defined while evaluating condition 'use_qt==1 and target_arch=="ia32"

Great answer in ticket: "You are trying to build for a platform that is currently not supported. Embedded linux is currently only supported through Qt Enterprise Embedded"

But it's not true, because build is possible with crosscompiler on x86_64 see https://github.com/meta-qt5/meta-qt5/blob/master/recipes-qt/qt5/qtwebengine_git.bb Need to adapt qtwebengine to build with clang

qt5-qtdoc

Cannot open file '/usr/share/doc/qt5/global/qt-module-defaults.qdocconf': No such file or directory Probably need to add several special dependencies.

Deprecated packages

With Qt 5.5 the following modules are deprecated:

  • qt5-qtwebkit
  • qt5-qtdeclarative
  • qt5-qtquick1
  • qt5-qtscript

These modules are still included in the Qt 5.5 release, but considered for removal in the future releases of Qt.